# PSF-LoginServer - master - net.psforever.objects.definition.converter.AvatarConverter
PSF - LoginServer - master - net.psforever.objects.definition.converter.AvatarConverter
Keywords: PSF LoginServer master net.psforever.objects.definition.converter.AvatarConverter

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- ACEConverter
- AmmoBoxConverter
- AvatarConverter
- BoomerTriggerConverter
- CaptureFlagConverter
- CharacterSelectConverter
- CommandDetonaterConverter
- CorpseConverter
- DestroyedVehicleConverter
- DroppodConverter
- FieldTurretConverter
- InternalTelepadDeployableConverter
- KitConverter
- LockerContainerConverter
- ObjectCreateConverter
- OrbitalShuttleConverter
- PacketConverter
- ProjectileConverter
- REKConverter
- SeatConverter
- ShieldGeneratorConverter
- SmallDeployableConverter
- SmallTurretConverter
- SpawnTubeConverter
- StatConverter
- TRAPConverter
- TelepadConverter
- TelepadDeployableConverter
- TerminalConverter
- ToolConverter
- UtilityVehicleConverter
- VariantVehicleConverter
- VehicleConverter

o

net.psforever.objects.definition.converter

# AvatarConverter 

###
Companion class AvatarConverter

#### object AvatarConverter

Source
  AvatarConverter.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AvatarConverter
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def BuildDetailedEquipment(index: Int, equip: Equipment): InternalSlot

   A builder method for turning an object into `0x18` decoded packet form.

   A builder method for turning an object into `0x18` decoded packet form.

   index

     the position of the object

   equip

     the game object

   returns

     the game object in decoded packet form

5.  def GetDrawnSlot(obj: Player): packet.game.objectcreate.DrawnSlot.Value

   Resolve which holster the player has drawn, if any.

   Resolve which holster the player has drawn, if any.

   obj

     the `Player` game object

   returns

     the holster's Enumeration value

6.  def MakeAppearanceData(obj: Player): (Int) => CharacterAppearanceData

   Compose some data from a `Player` into a representation common to both `CharacterData` and `DetailedCharacterData`.

   Compose some data from a `Player` into a representation common to both `CharacterData` and `DetailedCharacterData`.

   obj

     the `Player` game object

   returns

     the resulting `CharacterAppearanceData`

7.  def MakeCharacterData(obj: Player): (Boolean, Boolean) => CharacterData
8.  def MakeDetailedCharacterData(obj: Player): (Option[Int]) => DetailedCharacterData
9.  def MakeDetailedInventoryData(obj: Player): InventoryData
10.  def MakeHolsters(obj: Player, builder: (Int, Equipment) => InternalSlot): List[InternalSlot]

    Given a player with equipment holsters, convert the contents of those holsters into converted-decoded packet data.

    Given a player with equipment holsters, convert the contents of those holsters into converted-decoded packet data. The decoded packet form is determined by the function in the parameters as both `0x17` and `0x18` conversions are available, with exception to the contents of the fifth slot. The fifth slot is only represented if the `Player` is an `0x18` type.

    obj

      the `Player` game object

    builder

      the function used to transform to the decoded packet form

    returns

      a list of all items that were in the holsters in decoded packet form

11.  def MakeInventoryData(obj: Player): InventoryData
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped